MariaDB upgrade 'blocked' by MySQL dependencies

Issues related to applications and software problems
Post Reply
cmkl
Posts: 2
Joined: 2018/12/06 01:10:02

MariaDB upgrade 'blocked' by MySQL dependencies

Post by cmkl » 2022/01/08 02:27:27

Hi there.

I am running CentOS 7 with MySQL Community Server v 5.7.

I would like to move to MariaDB 10.6 but I cannot because MySQL just won't 'let go'.

I cannot just yum install mariadb etc because the MariaDB server package conflicts with all the MySQL community packages.

I tried to remove mysql-community-* (listed out all the package names just in case) but Yum wants also to remove a lot of stuff that I definitely need. Like Postfix, Fail2ban, OpenDMARC etc etc. Yum considers these dependencies of the mysql-community packages.

I am scared to remove all the MySQL-community dependencies and re-install along with the MariaDB packages because (a) if I also lose the configs it will be huge chore to reinstate and (b) if some of them don't go back with MariaDB that will be very bad.

The dependency list looks like this:

Code: Select all

Dependencies Resolved

=========================================================================================================================================================================================================================================
 Package                                                          Arch                                        Version                                                      Repository                                               Size
=========================================================================================================================================================================================================================================
Removing:
 mysql-community-client                                           x86_64                                      5.7.36-1.el7                                                 @mysql57-community                                      102 M
 mysql-community-common                                           x86_64                                      5.7.36-1.el7                                                 @mysql57-community                                      2.8 M
 mysql-community-server                                           x86_64                                      5.7.36-1.el7                                                 @mysql57-community                                      764 M
Removing for dependencies:
 alpine                                                           x86_64                                      2.24-1.el7                                                   @epel                                                   9.1 M
 fail2ban                                                         noarch                                      0.11.2-3.el7                                                 @epel                                                   0.0  
 fail2ban-all                                                     noarch                                      0.11.2-3.el7                                                 @epel                                                   0.0  
 fail2ban-sendmail                                                noarch                                      0.11.2-3.el7                                                 @epel                                                    12 k
 mysql-community-libs                                             x86_64                                      5.7.36-1.el7                                                 @mysql57-community                                      9.5 M
 mysql-community-libs-compat                                      x86_64                                      5.7.36-1.el7                                                 @mysql57-community                                      6.0 M
 mytop                                                            noarch                                      1.7-10.b737f60.el7                                           @epel                                                    68 k
 opendmarc                                                        x86_64                                      1.4.1.1-3.el7                                                @epel                                                   246 k
 perl-DBD-MySQL                                                   x86_64                                      4.023-6.el7                                                  @base                                                   323 k
 postfix                                                          x86_64                                      2:2.10.1-9.el7                                               @base                                                    12 M
 postfix-perl-scripts                                             x86_64                                      2:2.10.1-9.el7                                               @base                                                   109 k
 squirrelmail                                                     noarch                                      1.4.23-1.el7.20190710                                        @epel                                                    20 M

User avatar
TrevorH
Site Admin
Posts: 31476
Joined: 2009/09/24 10:40:56
Location: Brighton, UK

Re: MariaDB upgrade 'blocked' by MySQL dependencies

Post by TrevorH » 2022/01/08 02:42:04

There is a yum swap command that might work but I think that if this were me, I would use the yum shell command. The shell lets you stack up commands into one transaction and have it do them all in one go. In your case when you try to remove the mysql packages, yum will then expand the selection to include all those things that depend on what they provide and will try to remove those too. If you use yum shell then you can tell it to remove those and then install the mariadb versions and have it do both at the same time. A very simplified example of what you'd do is

yum shell
> remove mysql-libs
> install mariadb-libs
> run
exit

You can use 'ts' to test and show you what it will do before you say 'run'.

Your case will be more complicated as you will need to have a full list of the packages that you want to install though you can at least use wildcards to remove mysql*
CentOS 8 died a premature death at the end of 2021 - migrate to Rocky/Alma/OEL/Springdale ASAP.
Info for USB installs on http://wiki.centos.org/HowTos/InstallFromUSBkey
CentOS 5 and 6 are dead, do not use them.
Use the FAQ Luke

Post Reply

Return to “CentOS 7 - Software Support”